let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;


export const get3dWidgetInput = async (chartId: string, organization: string, projectId?: string, versionId?: string) => {
    
    
    

    try {
        const response = await fetch(
            `${url_Backend_dwinzo}/api/V1/widget3dData/${chartId}/${projectId}/${versionId}`,
            {
                method: "GET",
                headers: {
                    Authorization: "Bearer <access_token>",
                    "Content-Type": "application/json",
                    token: localStorage.getItem("token") || "",
                    refresh_token: localStorage.getItem("refreshToken") || "",
                },
            }
        );
        
        const newAccessToken = response.headers.get("x-access-token");
        if (newAccessToken) {
            //
            localStorage.setItem("token", newAccessToken);
        }

        if (!response.ok) {
            throw new Error("Failed to fetch zoneDatas");
        }
        const result = await response.json();
        
        return result;
    } catch (error: any) {
        echo.error("Failed to fetch 2d widget data");
        
    }
};
